<template>
  <div style="margin-left: 50px">
    <el-checkbox-group v-model="formatechecked" @change="handleCheckChanged">
      <el-checkbox
        v-for="(item, index) in formatelist"
        :key="index"
        :label="item.text"
        :checked="item.checked"
      >
      </el-checkbox>
    </el-checkbox-group>
  </div>
</template>
<script>
export default {
  props: ["formates"],
  data() {
    return {
      tt: "",
      formatechecked: [],
      formatelist: [],
    };
  },
  methods: {
    handleCheckChanged(data) {
      this.formatechecked = data;
      this.$emit("getAccept", data);
    },
  },
  computed: {},
  watch: {
    formates: {
      handler(newVal, oldVal) {
        console.log(newVal);
        this.formatelist = newVal;
        this.formatechecked = [];
      },
      deep: true,
      immediate: true, // 初次监听即执行
    },
  },
};
</script>
<style>
</style>